Subject: Re: Network "edge"

From: Dinesh Verma <[email-masked]>
Date: Mon, 12 Jan 1998 17:11:27 -0500

> > Not sure what you are suggesting here. 
> > 
> > a. Intermediate routers 
> > are indeed the first hop router for hosts directly connected to them. 
> > Typically one doesn't have routers which do not have any hosts (only 
> > other routers) on directly attached interfaces ...
> 
> You point is true. However, consider an end-host 
> with a first-hop router A. Traditionally, this first-hop router
> would do the necessary marking/policing for this end-host. The
> intermediate router B, which for simplicity reasons can be considered
> to be the egress router to the ISP, provides aggregate control. So to 
> get to the ISP, the end-host has to go thru router A and then router B. 
> 
> But now if the network is NHRP-capable, the end-host can establish a
> direct path to router B. This router however is not capable of
> policing/marking at the end-host level due to the aggregation effect
> that we would like to use as we go away from the network edge. And so we
> need to make these intermediate/egress routers aware of individual
> end-host flows also, which may affect the scalability of the diff
> services scheme.
> 
> hope things are clearer now.
> 
> rajesh.
> 
> 
Rajesh,
   In order for both router A and router B to be available to the end-host H
as the next-hop, they must share a common NBMA network 
underneath the IP layer. While the end-host H may be on the same IP subnet as 
A, and not on the IP subnet as B, the most plausible reason an ISP would place
its router B on the same NBMA network as the customer end-host H is that there
are some other hosts (say H') which is on the same IP subnet as B. 
In other words, if a customer end-host can access the secondary router using 
NHRP, it will be permitted only in cases where the secondary router is also 
acting as an edge-router for the ISP network. 

  This begs the question of what is an edge-router. If you define that an
edge-router is one that is accessible via a sub-IP layer protocol from a 
customer's equipment, NHRP should not introduce any new difficulties for 
differential services. The only issue would be that the edge-router would 
have to police/mark not only for hosts in its IP subnet, but for all hosts in 
all IP-subnets which can use it as the next-hop.  

>From an IP layer perspective, this situation is not different than handling 
a packet from a host which got routed from deep inside the customer's network 
via a series of multiple IP hops.  The only thing NHRP does is eliminate the 
extra hop processing at the IP layer at one of the routers (A in your example).

Regards,
Dinesh.

---

From: Rajesh Talpade <[email-masked]>
Date: Mon, 12 Jan 1998 17:32:00 -0500 (EST)

> all IP-subnets which can use it as the next-hop.  

The last sentence above is the crux of the matter ! If the edge-router
is what you defined, much of the aggregation and heirarchical
requirements for differentiated services to work practically (minimize 
per flow info state within the network) can go up in smoke ! All potential 
"edge-routers" may have to do per flow processing, which as we have 
demonstrated and learnt, is not something we want.

Rajesh.

-- 
Rajesh R. Talpade    [email-masked]   973 829-{4261, 5888(fax)}
Research Scientist, Bellcore, 445, South St, Morristown, NJ-07960

---

From: David Black <[email-masked]>
Date: Tue, 13 Jan 1998 12:52:12 -0500

> demonstrated and learnt, is not something we want.

Right, so the obvious answer is "Don't do that" (the classic response to
"Doctor, it hurts when I do this").  Namely, limit the number of edge
routers to something reasonable, and put the diffserv logic there.
Any traffic that bypasses one of those routers gets all of its bits
requesting enhanced service cleared and gets carried as best effort.
If the user wants to play games with sending traffic through routers
other than the designated edge routers for diffserv traffic, the result
is that the traffic gets downgraded to best effort (the results of not
following directions tend to be poor).  This should not require per-flow
state.

--David

============================================================================
David L. Black            THE OPEN GROUP     Voice: +1 (617) 621-7347
The Open Group                                 Fax: +1 (617) 621-8696
Eleven Cambridge Center      RESEARCH       E-Mail: [email-masked]
Cambridge, MA  02142        INSTITUTE         http://www.opengroup.org/~dlb/
============================================================================

---

From: Rajesh Talpade <[email-masked]>
Date: Tue, 13 Jan 1998 13:58:54 -0500 (EST)

> following directions tend to be poor).  This should not require per-flow

True, that's one way to go.
Best-effort traffic can use NHRP, but if you want better service for an
application, your traffic needs to go thru the regular edge-router.

An NHRP-capable end-host will have to indicate whether a certain
flow should be NHRPed or not though.

Rajesh.

---

From: "Alessio Casati" <[email-masked]>
Date: Thu, 15 Jan 1998 11:40:28 +0100

Rajesh,

the point you are making is highly dependent on the way an end host can take economic advantage in 
sending packets on the NBMA net vs. the diffservice infrastacture, which in turn hinges on the 
access policies and tariffs of the NBMA network NHRP client makes use of.
Having said that, packets flowing on the NBMA shortcut are easily policed at the NBMA access.
You are going to pay for NBMA net use, so the extent with which it's going to be an actual 
advantage for a host to behave the way you outlined is sort of a doubt to me.

> flow should be NHRPed or not though.

End host initiated shortcut allows, if you want, better service.
It's likely one will have to pay for it, right?
If NBMA shortcut is initiated on an intervening router, it's up to it to take proper 
decisions (I suppose policing is going to happen somewhere before or at the NBMA
shortcut ingress point). 

alessio